ITPub博客

首页 > Linux操作系统 > Linux操作系统 > [转载]Eclipse开发J2ME程序之安装配置

[转载]Eclipse开发J2ME程序之安装配置

原创 Linux操作系统 作者:dinner1007 时间:2019-03-24 17:30:05 0 删除 编辑
Eclipse开发J2ME程序之安装配置
引言
  在上一篇文章中介绍了Eclipse是一款非常出色和著名的开源项目。开放源代码软件是这样一种软件,它们在发布时附带了旨在确保将某些权利授予用户的许可证。当然,最明显的权利就是源代码必须可用,以便用户能自由地修改和再分发该软件。尽管大多数开发人员不会使用Eclipse来开发插件,或创建基于Eclipse的新产品,但是由Eclipse的开放源代码性质所决定,我们在使用Eclipse 时是完全免费可用的。只需登陆Eclipse官方网站www.eclipse.org就可以获得这款优秀的IDE。

  Eclipse的下载与安装

  进入Eclipse项目的主页后点击Downloads,将出现一个镜像列表,其中大多是欧美地区的,选择一个距离比较近的镜像点(这样速度能快些)并进入下载页,笔者选择的是台湾地区的一个镜像站点http://eclipse.cdpa.nsysu.edu.tw/downloads/。目前最新版本为3.0.1。一般Eclipse同时提供几个下载版本:Release,Stable Build,Integration Build和Nightly Build,建议下载Release或Stable版本,笔者用的是Release版本。进入该版本的下载页面后Eclipse提供多种操作系统的版本,读者可以根据实际情况下载相应的压缩包。如果使用的是是在Windows平台,需要下载的正确版本为eclipse-SDK-3.0.1-win32.zip。Eclipse支持多国语言,只要下载与SDK相应的多国语言包插件就可以实现软件的本地化。对于上述版本的SDK,相应的多国语言包插件版本为eclipse3.0.1-SDK-win-LanguagePackFeature.zip。

  安装Eclipse的步骤非常简单:只需将下载的压缩包按原路径直接解压既可,可以说是一款"环保"软件。由于Eclipse版本升级比较快,如果有了更新的版本,要先删除老的版本重新安装,而不能直接解压到原来的路径覆盖老版本。之后,将多国语言包解压并将解压出来的plugins文件夹和features文件夹去覆盖eclipse文件夹下的同名文件夹即可。如果当前操作系统的JRE环境安装正确无误,现在运行Eclipse.exe将会闪现如下所示的很酷的月蚀启动画面并进入其缺省界面。


  注意,这里的前提是JRE环境的安装正确无误,由于Eclipse本身是用Java语言编写的,而下载的压缩包中并不包含Java运行环境,因此需要用户自己另行安装JRE,并且要在操作系统的环境变量中指明JRE中bin的路径。如果上述设置不正确,Eclipse是无法正常运行的。


  Eclipse的缺省欢迎界面如上图所示,中间四个按钮分别是"概述"、"教程"、"样本"和"新增内容"。这几个按钮都是帮助性质的,用户通过这些按钮可以分别了解Eclipse的所有内容、Eclipse端到端的教程、样本代码和此发行版中的新增内容。位于界面右上方的是"工作台"图标按钮,点击将转入如下所示的工作台界面:


  关于这一界面,在上一篇文章中已有简单介绍,这里就不再重复,更详细的资料可参阅Eclipse联机帮助。由于有多国语言包插件的安装,使得软件界面为全中文界面,与Visual Studio的本地化不一样,Eclipse的联机帮助也全部实现了本地化,阅读起来是非常方便的。

  环境的搭建

  如果需要配置JRE,可以安装Sun 的JDK或IBM的JDK,应该安装1.3以上版本,推荐使用1.4以上版本,因为只有使用1.4以上版本的JDK才可以享受到新增的HotSwap功能对于调试带来的方便。笔者使用的是Sun公司的1.5.0版本的 JDK,可以从Sun公司官方网站http://java.sun.com免费下载。安装完成后,可以在添加/删除程序的已安装程序列表中看见"Java 2 SDK, SE v1.5.0"和"Java 2 Runtime Environment, SE v1.5.0"项目。

  到此为止,应该能够保证Eclipse的正常运行了,但我们的最终目的是开发手机应用程序,上述搭建的环境还不能满足开发所需要的要求。Sun于1999年6月推出了Java 2袖珍版(J2ME)来满足消费电子和嵌入设备的需要。J2ME是为了那些使用有限的能源、有限的网络连接(常常是无线连接)以及有限图形用户界面能力的设备开发的。它最初的目标是 16位或32位处理器,16 MHz时钟频率,512K或更少内存的设备。 显然,现在的手机正是J2ME的一个支持方向,J2ME的标准相当多,先简单介绍几个非常重要的概念:
CLDC(Connected limited device configuration,有限连接设备配置):这个配置定义了 Java应用程序接口以及支持手持设备的技术,就像Sun的文档中所描述的那样,"devices that you hold in your hand(你握在手中的设备)"。CLDC是为使用较小的存储容量的设备设计的,用于内存在128到 512K之间的消费电子设备,智能手机、Palm序列手持设备可能是这一领域的设备的最好的例子。

  MIDP(Mobile information devices profile,移动信息设备简表):第一个实现的简表,补充了CLDC并且提供应用程序语义和控件、用户界面、持久存储器、网络和用于移动电话的计时器、双通道呼叫器和其他无线电设备。类似于J2SE中的Applet框架,它提供了基于javax、microedition、midlet包的MIDLet应用程序框架。

  MIDLet:MIDP应用程序称为 MIDlet,为了创建一个MIDlet,就必须写一个扩展基本 MIDlet类的类。这有点类似常见的Applet或Servlet。MIDlets独有的东西是把多个MIDlet组成一个MIDlet套件的能力。这就允许MIDlet在一个单独的JVM环境中共享资源,比如一个数据库等等。

  为使用J2ME开发手机应用程序还必须安装J2ME SDK,常用的有Sun公司的J2ME Wireless Toolkit(WTK)。WTK提供了运行J2ME应用程序所需要的库以及模拟器等,通过它可以进行程序的编译、校验、运行。有关WTK的信息可查询如下网址http://java.sun.com/products/j2mewtoolkit。目前J2ME Wireless Toolkit共分三个版本:1.0.4、2.0和2.1。其中,1.0.4版只能开发MIDP 1.0程序,2.0版可以开发MIDP 2.0应用程序,2.1版则可以同时开发MIDP 1.0、JTWI(CLDC 1.0、MIDP 2.0、WMA 1.1,可改用CLDC 1.1或加入MMAPI 1.1)、自定义(用户可随意组合Configuration、Profile、Optional Package)三种环境。需要注意的是,并非版本越高越好,必须视需求不同而选择适当的版本,才能开发出可以在真机上运行的MIDP应用程序。这里选用的是WTK 2.1,可以从Sun公司官方网站免费下载,按默认方式安装该工具包并记下其安装路径以便以后在安装EclipseMe插件时使用。在成功安装完毕后将在添加删除程序的已安装程序列表中看到"J2ME Wireless Toolkit 2.1"。

  这里之所以选用Sun公司的J2ME Wireless Toolkit产品,是因为这样开发出来的手机软件可以具有更大的通用性。如果用户只是出于为自己的爱机DIY应用软件的目的而非进行商业化的通用软件开发,则完全可以根据自己使用手机的型号从相应厂商网站下载与之对应的J2ME SDK,这样开发出来的手机软件能够以更优的方式在真机运行。目前,一些大的手机厂商开发的特定J2ME SDK主要有:Nokia的Nokia DEveloper's Suite与Nokia各款手机专属SDK;SonyEricsson的SonyEricsson J2ME SDK;Siemens的Siemens Mobility Toolkits等。例如,笔者使用的机型是SonyEricsson T628,相应的J2ME SDK便是SonyEricsson J2ME SDK 2.0.0_Beta版,其安装过程与前面介绍的J2ME Wireless Toolkit 2.1的安装过程类似,也同样需要记下其安装路径以备后用。如果需要更加详细的内容,请登陆手机厂商的网站查阅相关资料。

  下一步的工作

  本篇文章主要对Eclipse的工作环境进行了安装与配置,配置后的Eclipse将可以用来开发一些基本的应用程序,但离手机软件的开发还是有一段距离。下一篇文章将对手机软件开发所要用到的EclipseMe插件的安装过程进行介绍,并完成J2ME开发手机软件的全部准备工作。

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/374079/viewspace-131827/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论

注册时间:2018-08-23

  • 博文量
    734
  • 访问量
    511972